Support » Plugin: Campaign Monitor for WooCommerce » Conflict in plugin “WooCommerce Stripe Gateway v4.0.0”

  • peterpaulombaogmailcom

    (@peterpaulombaogmailcom)


    After the update of “WooCommerce Stripe Gateway” to v4.0.0 I can’t checkout because have an error “Payment processing failed. Please retry.”. When I asked the support of “WooCommerce Stripe Gateway” they said a have conflict with other plugins and suggest to remove one by one the plugins installed except the woocommerce and its payment gateway then I found out after I uninstalled the “Campaign Monitor for WooCommerce” the error gone and checkout is now working.

    It is just my guess but I think the issue is in the code “$_POST = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);” because in “WooCommerce Stripe Gateway” code I add html_entity_decode in $_POST[‘stripe_source’] and it works.

    Can you please solve this conflict. Thanks.

Viewing 4 replies - 1 through 4 (of 4 total)
  • +1 Same issue here

    Debug.log says:

    PHP Fatal error: Uncaught ArgumentCountError: Too few arguments to function CS_REST_BaseSerialiser::__construct(), 0 passed in ……./plugins/forms-for-campaign-monitor/createsend-php/class/base_classes.php on line 193 and exactly 1 expected in ……./plugins/forms-for-campaign-monitor/createsend-php/class/serialisation.php:23
    Stack trace:
    #0 ……./plugins/forms-for-campaign-monitor/createsend-php/class/base_classes.php(193): CS_REST_BaseSerialiser->__construct()
    #1 ……./plugins/campaign-monitor-for-woocommerce/core/CampaignMonitor.php(38): CS_REST_Wrapper_Base->refresh_token()
    #2 ……./plugins/campaign-monitor-for-woocommerce/views/admin/connect.php(27): core\CampaignMonitor->refresh_token(Array)
    #3 ……./plugins/campaign-monitor-for-woocommerce/core/Helper.php(117): require_once(‘/va in ……./plugins/forms-for-campaign-monitor/createsend-php/class/serialisation.php on line 23

    Additional error in debug.log

    PHP Warning: A non-numeric value encountered in ……/plugins/campaign-monitor-for-woocommerce/views/admin/connect.php on line 21

    Thank you for the advice we are currently working on an update and we will include this fixes.

    Hi there @leandrov,

    Any updates on when we can expect a fix or a new version of this plugin?

    Many thanks!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Conflict in plugin “WooCommerce Stripe Gateway v4.0.0”’ is closed to new replies.